#!/usr/bin/perl

sub pow
{
  $x=shift;
  $p=shift;
  return exp($p*log($x));
}

$rsep=0;              # separatrix ang.mom.sq
$fdrain=0;            # whether to include loss wedge draining
$tab="d1bh1e-3.tab" ; # tab file
$bhrelmass=1e-3;      # Mbh/Mtotal
#unlink "summary.txt";
for($logMbh=8; $logMbh<11; $logMbh+=0.5)
{
  $Mbh=pow(10, $logMbh); $M8=$Mbh/1e8;
  $rscale=960*pow($M8, 0.56);  # for gamma=1
  $rcaptschw=pow($M8,-2./3);
  if($rcaptschw<4) { $rcaptschw=4; }
  $rcapt=$rcaptschw*0.96e-5*$M8;
  $mass=$Mbh/$bhrelmass;
  system("perl losscone.pl tab=$tab rsep=$rsep mass=$mass rscale=$rscale rcapt=$rcapt Fdrain=$fdrain");
}